VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
ObjCInstance Struct Reference

`#include <objcclassbuilder.h>`

## Public Member Functions
| ObjCInstance (__unsafe_unretained id obj, Class superClass=nullptr)
template<typename T >
std::optional< ObjCVariable< T > > | getVariable (const char *name) const
template<typename Func , typename... T>
void | callSuper (SEL selector, T...args) const
template<typename Func , typename R , typename... T>
R | callSuper (SEL selector, T...args) const

## Constructor & Destructor Documentation

ObjCInstance | ( | __unsafe_unretained id | obj,
|  | Class | superClass = `nullptr`
| ) |  |
| inline

## Member Function Documentation

std::optional<ObjCVariable<T> > getVariable | ( | const char * | name | ) | const
| inline

void callSuper | ( | SEL | selector,
|  | T... | args
| ) |  | const
| inline

R callSuper | ( | SEL | selector,
|  | T... | args
| ) |  | const
| inline

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.